/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package mvcgrafik;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.WindowConstants;
import mvcgrafik.controller.BtnController;
import mvcgrafik.controller.GrafikController;
import mvcgrafik.model.GrafikModel;
import mvcgrafik.view.GrafikMenuView;
import mvcgrafik.view.GrafikView;
//import mvcgrafik.ohmLogger;

/**
 * Builder Class
 * @author le
 */
public class Start
{
  public Start()
  {
    JFrame frm = new JFrame();
    frm.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);

    GrafikMenuView view = new GrafikMenuView();
    GrafikModel model = new GrafikModel();
    view.getGrafikView1().setModel(model);
    
    GrafikController controller = new GrafikController(view.getGrafikView1(), model);
    BtnController btncontroller = new BtnController(view, model);
    controller.registerEvents();
    btncontroller.registerEvents();

    view.setSize(800, 600);
    view.setVisible(true);

  }

  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) 
  {
    new Start();
  }
}
